# Generated by Django 5.0.6 on 2024-11-05 11:39

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Angler',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('redact', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='AnglerGroupType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CompetitorType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FishType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LeagueRule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='MatchType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Sponsor',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('url', models.URLField()),
                ('image', models.ImageField(upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Venue',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('description', models.CharField(max_length=384)),
                ('extra_notes', models.CharField(max_length=1028)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('profile_picture', models.ImageField(upload_to='')),
                ('banner_picture', models.ImageField(upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='VenueAddress',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('street_number', models.IntegerField()),
                ('street_address', models.CharField(max_length=256)),
                ('town', models.CharField(max_length=256)),
                ('county', models.CharField(max_length=256)),
                ('post_code', models.CharField(max_length=32)),
                ('satnav_post_code', models.CharField(max_length=32)),
                ('country', models.CharField(max_length=128)),
                ('latitude', models.DecimalField(decimal_places=16, max_digits=22)),
                ('longitude', models.DecimalField(decimal_places=16, max_digits=22)),
            ],
        ),
        migrations.CreateModel(
            name='VenueContacts',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('phone_number', models.CharField(max_length=64)),
                ('email_address', models.EmailField(max_length=254)),
                ('website_url', models.URLField()),
                ('facebook_url', models.URLField()),
                ('twitter_url', models.URLField()),
                ('instagram_url', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='VenueType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WatersType',
            fields=[
                ('name', models.CharField(max_length=128)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AnglerGroup',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('anglers', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.angler')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.anglergrouptype')),
            ],
        ),
        migrations.CreateModel(
            name='Match',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('description', models.CharField(max_length=384)),
                ('meeting_point', models.CharField(max_length=1024)),
                ('use_metric', models.BooleanField()),
                ('allow_in_tournaments', models.BooleanField()),
                ('start_datetime', models.DateTimeField()),
                ('end_datetime', models.DateTimeField()),
                ('draw_datetime', models.DateTimeField()),
                ('competitor_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.competitortype')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.matchtype')),
                ('venue', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.venue')),
            ],
        ),
        migrations.CreateModel(
            name='League',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('description', models.CharField(max_length=384)),
                ('extra_notes', models.CharField(max_length=1028)),
                ('profile_picture', models.ImageField(upload_to='')),
                ('banner_picture', models.ImageField(upload_to='')),
                ('anglers', models.ManyToManyField(to='apps_home.angler')),
                ('rules', models.ManyToManyField(to='apps_home.leaguerule')),
                ('matches', models.ManyToManyField(to='apps_home.match')),
            ],
        ),
        migrations.CreateModel(
            name='LeagueResult',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('total_weight', models.CharField(max_length=64)),
                ('matches', models.IntegerField()),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('angler', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.angler')),
                ('league', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.league')),
                ('sponsor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='apps_home.sponsor')),
            ],
        ),
        migrations.AddField(
            model_name='venue',
            name='address',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.venueaddress'),
        ),
        migrations.AddField(
            model_name='venue',
            name='contacts',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.venuecontacts'),
        ),
        migrations.AddField(
            model_name='venue',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.venuetype'),
        ),
        migrations.CreateModel(
            name='Waters',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=128)),
                ('pegs_from', models.IntegerField()),
                ('pegs_to', models.IntegerField()),
                ('map', models.ImageField(upload_to='')),
                ('fish_types', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.fishtype')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.waterstype')),
            ],
        ),
        migrations.AddField(
            model_name='venue',
            name='waters',
            field=models.ManyToManyField(to='apps_home.waters'),
        ),
        migrations.AddField(
            model_name='match',
            name='waters',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apps_home.waters'),
        ),
    ]
